%define		syntax vcl
Summary:	Vim syntax: Varnish configuation Language
Name:		vim-syntax-%{syntax}
Version:	1.8
Release:	1
License:	GPL v2
Group:		Applications/Editors/Vim
Source0:	vcl.vim
Source1:	ftdetect.vim
URL:		http://git.pld-linux.org/packages/vim-syntax-vcl/
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
Vim syntax for Varnish configuation Language (VCL).

%prep
rev=$(awk '/^".*Revision:/{print $3}' %{SOURCE0})
if [ "$rev" != "%{version}" ]; then
	: Update version $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,ftdetect}
cp -p %{SOURCE0} $RPM_BUILD_ROOT%{_vimdatadir}/syntax/%{syntax}.vim
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect/%{syntax}.vim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_vimdatadir}/syntax/*.vim
%{_vimdatadir}/ftdetect/*.vim
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vim-syntax-vcl.git;a=log;h=master

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> 678ce9f
- add hint about reporting bugs

* Wed Nov 28 2012 Elan Ruusamäe <glen@delfi.ee> db92da1
- move ftdetect to separate file

* Wed Nov 28 2012 Elan Ruusamäe <glen@delfi.ee> 26ddc23
- add readme

* Wed Nov 28 2012 Elan Ruusamäe <glen@delfi.ee> 151d211
- add github mirror url

* Wed Nov 28 2012 Elan Ruusamäe <glen@delfi.ee> 3717382
- add hash_data

* Wed Nov 28 2012 Elan Ruusamäe <glen@delfi.ee> 6d6eaea
- update to git urls

* Sun Jan 15 2012 Elan Ruusamäe <glen@pld-linux.org> 87bb134
- last commit seems to originate from https://github.com/smerrill/vcl-vim-plugin

* Sun Jan 15 2012 Elan Ruusamäe <glen@pld-linux.org> efea453
- merge changes from https://github.com/sime/dotfiles/blob/3d514c36cb6355d9ba87eaa83e83b69bd505be7d/macbook/.vim/syntax/vcl.vim

* Sun Jan 15 2012 Elan Ruusamäe <glen@pld-linux.org> 61b38f6
- add link to vcs

* Sun Jan 15 2012 Elan Ruusamäe <glen@pld-linux.org> fa34006
- highlight varnish 3.x beresp objects

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> f010368
- v1.7

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> 10957cb
- more keywords

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> fbda5df
- add elsif alias for elseif and unset alias for remove

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> a8ad06d
- match req.backend.healthy before req.backend
- add remove keyword

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> 180ee5d
- add options so much i could find from manual and default vcl
- add more keywords, hilight numbers

* Tue Mar 30 2010 Elan Ruusamäe <glen@pld-linux.org> 85eddf0
- use unversioned vim syntax dir

* Tue Mar 30 2010 Elan Ruusamäe <glen@pld-linux.org> 0ad3ea5
- load html in synthetic text

* Tue Mar 30 2010 Elan Ruusamäe <glen@pld-linux.org> 868a0fb
- add C strings, add synthetic

* Tue Jan 26 2010 Elan Ruusamäe <glen@pld-linux.org> 70fc8ce
- initial commit

* Tue Jan 26 2010 Elan Ruusamäe <glen@pld-linux.org> 3964de9
- start varnish vcl syntax

